import click

from .seed import register_seed_command
from .init import register_init_command
from .config import register_config_command
from .status import register_status_command
from .control import register_control_command
from .stinger import register_stinger_command
from .service import register_service_command


# The 'admin' group
@click.group("admin")
@click.pass_context
def admin(ctx):
    """Administrate Wurker resources"""
    pass


register_config_command(admin)
register_stinger_command(admin)
register_seed_command(admin)
register_init_command(admin)
register_service_command(admin)
register_status_command(admin)
register_control_command(admin)
